
Family Care - Bug #2363

Dues and Debts management ـ submission form 

02/01/2021 01:16 PM - Saja Nakhleh

Status: Closed Start date: 02/01/2021

Priority: Normal Due date: 02/15/2021

Assignee: Saja Nakhleh % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

will be 5 as on the evidence عدد الاقساط

52.gif

Issue #2:

although the error message is occurred,

the invalid attachment will be accepted

and attached normally. evidence 53.gif

Issue #3:

the value will not trimmed or validated on

the (قرار الموظف المالي) field 

then the task will submitted but if the user

search for it he\she will not find it !

Observe task # 1298, and the report

55.pdf

Issue #4:

1. the first task will be rejected

automatically once new task is submitted

for the same civil ID

2. an error message will be occurred in

not friendly way as on evidence 56.gif

Note: same error is occurred for the active

tasks

Issue #5:

A null error will be occurred and the

opened task will be for the file number

that selected on 1st step ! evidence 57.gif

Note: same error is occurred on Open file

and Update file tasks

Issue #6:

the (مبلغ القسط) field's value inherit the

old value (30)

the (عدد الاقساط) field's value is 2 !

evidence 58.gif and task for Civil ID

284102701016

Issue #7:

the (مبلغ القسط) field's value inherit the

old value (46.44)

the (عدد الاقساط) field's value is 1!

evidence 59.gif and task for Civil ID

280012501418

Severity: Normal Environment: Development
Category: Dues and Debts management Transaction Number:  

Sub-Category:  Username: USR00013/12345678

Step_Description:  Browser: Chrome

Pre_Conditions:  URL:  

Expected Result: Issue #1:

.should be 2 عدد الاقساط

Issue #2:

any invalid attachment should be refused

and the error message will be occurred

Issue #3:

the text length should be validated and

trimmed to the max accepted value 

Issue #4:

1. the first task should be keep in the

workflow and suspended till the next task

is closed

2. it's details should be opened

successfully if it's opened from the inquiry

screen

Issue #5:

every time the user navigates out of

(Debs and Dues) the system should reset

the caught file number

Issue #6:

the (مبلغ القسط) field's value should

calculated again instead of get the old

value

the (عدد الاقساط) field's value should be:

3 (as 70/30 = 2.33)

Issue #7:

the (مبلغ القسط) field's value should

calculated again instead of get the old

value

the (عدد الاقساط) field's value should be:

2 (as 63.292/46.442 = 1.36)

Test Case ID:  

Description

Issue #1:

1. login to the environment using USR00013

2. Select the file with Civil ID: 265091900285

3. Open the (Dues and Debts management) submission form

4. navigate to the (Debts) tab and Click add

5. add the value 144 on the field : صافي المبلغ

6. Observe the (عدد الاقساط) field value

Issue #2:

1. Open the (Dues and Debts management) submission form

2. navigate to the (attachments) tab and add any invalid file

Issue #3:

1.  Open the (Dues and Debts management) submission form

2. from the tabs (Debts) and (dues) click add then fill all the mandatory fields

3. Fill the text fields with the values:

Test123٠١٢٣٤٥٦٧٨٩!$تجربةTest123٠١٢٣٤٥٦٧٨٩!$تجربةTest123٠١٢٣٤٥٦٧٨٩!$تجربةTest123٠١٢٣٤٥٦٧٨!$تجربة

Test123٠١٢٣٤٥٦٧٨٩!$تجربةTest123٠١٢٣٤٥٦٧٨٩!$تجربةTest123٠١٢٣٤٥٦٧٨٩!$تجربةTest123٠١٢٣٤٥٦٧٨!$تجربة

4. Fill the (قرار الموظف المالي) field with a huge value as on the text file 1000 char.txt

5. attach the attachments then click submit
6. search for the submitted task

Issue #4:

1. submit new Dues and debts task

2. submit another dues and debts for the same civil ID on the previous step

3. search for the task created on step 1 (i.e # 1299) and Observe it's status

4. Click on the task number and observe the opened dialog

Issue #5:

1. from select file number select any file

2. navigate to the (Dues and debts ) screen and submit new task

3. navigate to the (inquiry screen ) and search for the created task

4. NOW, navigate from (inquiry screen ) to the (Dues and debts ) screen

Issue #6:

1. login to the environment using USR00013

2. Select any file (i.e: 284102701016)

3. Open the (Dues and Debts management) submission form

4. navigate to the (Debts) tab and Click add

5. add the value 30 on the field : صافي مبلغ المديونية

6. complete the task to the last step

7. create new debts and dues task for the same civil ID

8. Navigate to (debts) tab and click update

9. set the field (صافي مبلغ المديونية) to 70

10. Observe the (مبلغ القسط) and (عدد الاقساط) fields values !!

Issue #7:

1. login to the environment using USR00013

2. Select file for civil id: 280012501418

3. Open the (Dues and Debts management) submission form

4. navigate to the (Debts ـ الاستقطاع) tab and Click update

5. add the value 3500 on the field : صافي مبلغ المديونية (bigger than the payed amount and smaller than the total amount)

6. Observe the (مبلغ القسط) and (عدد الاقساط) fields values !!

Business issues:

1. could the Dues and debts be created for (موقوف) file ? currently the task is created normally . ie task # 1299!

2. could the Dues and debts be created for (ملغى) file ? currently the task is created normally. ie task # 1302 !

3. if the debts and dues task is closed and the beneficiary (المنتفع) received his dues(الاستحقاقات), how to update this status on

any newly created tasks later on ? task 1297 and 1303

4. Once the beneficiary pay all the debts, how the system update this status on any newly created tasks later on ?

why the status keep active ? how the status also should be updated if the finish date is passed?

5. how the field paid amount (المبلغ الذي تم تسديده) is updated regularly after each monthly paid amount?

6. should the debts and dues be shown on the financial data of the file? 1316

History

#1 - 02/02/2021 01:47 PM - Saja Nakhleh

- File 52.GIF added

- File 1000 char.txt added

- File 55.pdf added

- File 56.GIF added

- File 57.GIF added

- Subject changed from Dues and Debts management ـ submission form to Dues and Debts management ـ submission form (fields' validation and

functional test cases)

- Description updated

- Expected Result updated

- Actual Result updated

#2 - 02/03/2021 12:45 PM - Saja Nakhleh

- File 58.GIF added

- Description updated

- Expected Result updated
- Actual Result updated

#3 - 02/03/2021 01:12 PM - Saja Nakhleh

- File 59.GIF added

- Description updated

- Assignee changed from Saja Nakhleh to Mohannad Sabra

- Expected Result updated

- Actual Result updated

#4 - 02/04/2021 02:16 PM - Saja Nakhleh

- Subject changed from Dues and Debts management ـ submission form (fields' validation and functional test cases) to Dues and Debts management ـ

submission form 

#5 - 02/09/2021 10:26 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Shadi Abuomar

Dear Shadi,

Kindly take action regarding the above

#6 - 02/14/2021 01:07 PM - Shadi Abuomar

- Status changed from Open to Fixed

- Environment Development added

- Environment deleted (QA)

#7 - 02/15/2021 12:23 PM - Mohannad Sabra

- Due date set to 02/15/2021

- Assignee changed from Shadi Abuomar to Saja Nakhleh

- % Done changed from 0 to 100

#8 - 02/15/2021 12:24 PM - Mohannad Sabra

- Status changed from Fixed to Feedback

#9 - 02/17/2021 12:58 PM - Saja Nakhleh

- Description updated

#10 - 04/18/2021 09:46 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Shadi Abuomar

Issue #1:

still duplicated, kindly find the scenario in the following vedio:

https://www.loom.com/share/9730321752db400c98802ff4a8b74776

Issue #2:

the invalid files types are refused but now the invalid size are accepted although the error message is occurred.

evidence 92.gif

Issue #3:

still duplicated, and NULL error will be occurred if the 2000 char is entered on the field (financial employee decision)

Issue #4:

a NULL error will be occurred as on the following video:

https://www.loom.com/share/ba5ee69dcd354d9996f07e924654dd76
Issue #5:

the issue is duplicated (the file number will not reset)

kindly confirm if this business requirement or bug

Issue #6

A null error will be occurred when the user try to add the second task for the same civil id which prevent add 2ed task (SHOW STOPPER)

same as issue #4.

Issue #7:

Rejected as invalid issue (the scenario could not be caught )

#11 - 04/26/2021 12:45 PM - Shadi Abuomar

- Status changed from Feedback to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#12 - 04/27/2021 02:32 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Shadi Abuomar

Issue #1:

create new task for the civil id: 282011901005, enter the value 200 on (صافي مبلغ المديونية)

then enter 94, then 93 and each time observe the number of عدد الاقساط

result: once the user enter the value of مبلغ القسط, then enter a lower value the (عدد الاقساط) will be calculated in a wrong way

Observe the scenario below:

https://www.loom.com/share/9c2b653d9fd34a25bb97b90c398cd99b

Issue #2:

tested and verified.

Issue #3:

tested and verified.

Issue #4:

tested and verified.

Issue #5:

the buffer still not reset it's value once the user is navigating out of the debts and dues module, Observe the video :

https://www.loom.com/share/1f646f1021d84229934b6237012d02a3

Issue #6:

still duplicating, the (عدد الاقساط) will be calculated in a wrong way

try for civil ID: 282011901005, observe the full scenario on the video:

https://www.loom.com/share/d01297949a7b405bb23dbabcf6b57a50

Issue #7:

still duplicating for the same scenario using usr00249
#13 - 04/29/2021 11:45 AM - Shadi Abuomar

- Status changed from Feedback to Fixed

- Assignee changed from Shadi Abuomar to Saja Nakhleh

#14 - 05/04/2021 03:07 PM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Shadi Abuomar

Issue #1:

tested and verified.

Issue #5:

tested and verified.

Suggested Enhancement:

the current behavior preserve the file number, even if the applicant is navigating out the service screen. could the buffer be reset each time the task is

submitted successfully ?

Issue #6:

tested and verified.

#15 - 05/09/2021 01:29 PM - Shadi Abuomar

- Assignee changed from Shadi Abuomar to Saja Nakhleh

After consider family care business requirements this not recommend.

#16 - 05/10/2021 12:01 PM - Saja Nakhleh

- Status changed from Feedback to Closed

the enhancements has been discussed and rejected

Files

53.GIF 273 KB 02/01/2021 Saja Nakhleh

52.GIF 240 KB 02/02/2021 Saja Nakhleh

1000 char.txt 1.56 KB 02/02/2021 Saja Nakhleh

55.pdf 78.5 KB 02/02/2021 Saja Nakhleh

56.GIF 230 KB 02/02/2021 Saja Nakhleh

57.GIF 187 KB 02/02/2021 Saja Nakhleh

58.GIF 251 KB 02/03/2021 Saja Nakhleh

59.GIF 256 KB 02/03/2021 Saja Nakhleh
